PipeWire: rtkit.c File Reference

PipeWire 0.1.5.1

Functions
rtkit.c File Reference
Include dependency graph for rtkit.c:

## Functions
struct pw_rtkit_bus * | pw_rtkit_bus_get_system (void)
void | pw_rtkit_bus_free (struct pw_rtkit_bus *system_bus)
int | pw_rtkit_make_realtime (struct pw_rtkit_bus *connection, pid_t thread, int priority)
int | pw_rtkit_make_high_priority (struct pw_rtkit_bus *connection, pid_t thread, int nice_level)
int | pw_rtkit_get_max_realtime_priority (struct pw_rtkit_bus *connection)
int | pw_rtkit_get_min_nice_level (struct pw_rtkit_bus *connection, int *min_nice_level)
long long | pw_rtkit_get_rttime_usec_max (struct pw_rtkit_bus *connection)

## Function Documentation

## ◆ pw_rtkit_bus_free()

void pw_rtkit_bus_free | ( | struct pw_rtkit_bus * | system_bus | ) |

References pw_rtkit_get_max_realtime_priority(), pw_rtkit_get_min_nice_level(), pw_rtkit_get_rttime_usec_max(), pw_rtkit_make_high_priority(), pw_rtkit_make_realtime(), RTKIT_OBJECT_PATH, and RTKIT_SERVICE_NAME.

## ◆ pw_rtkit_bus_get_system()

struct pw_rtkit_bus* pw_rtkit_bus_get_system | ( | void |  | ) |

## ◆ pw_rtkit_get_max_realtime_priority()

int pw_rtkit_get_max_realtime_priority | ( | struct pw_rtkit_bus * | connection | ) |

Referenced by pw_rtkit_bus_free().

## ◆ pw_rtkit_get_min_nice_level()

int pw_rtkit_get_min_nice_level | ( | struct pw_rtkit_bus * | connection,
|  | int * | min_nice_level
| ) |  |

Referenced by pw_rtkit_bus_free().

## ◆ pw_rtkit_get_rttime_usec_max()

long long pw_rtkit_get_rttime_usec_max | ( | struct pw_rtkit_bus * | connection | ) |

Referenced by pw_rtkit_bus_free().

## ◆ pw_rtkit_make_high_priority()

int pw_rtkit_make_high_priority | ( | struct pw_rtkit_bus * | connection,
|  | pid_t | thread,
|  | int | nice_level
| ) |  |

Referenced by pw_rtkit_bus_free().

## ◆ pw_rtkit_make_realtime()

int pw_rtkit_make_realtime | ( | struct pw_rtkit_bus * | connection,
|  | pid_t | thread,
|  | int | priority
| ) |  |

Referenced by pw_rtkit_bus_free().